com.google.appengine.api.search.dev

## Class MatchScorer

- java.lang.Object
- - com.google.appengine.api.search.dev.Scorer
  - - com.google.appengine.api.search.dev.MatchScorer

-     public class MatchScorer
      extends Scorer

  A scorer that returns a score based on term frequency divided by document frequency.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `MatchScorer.Result` Result class for MatchScorer.

    - ### Nested classes/interfaces inherited from class com.google.appengine.api.search.dev.Scorer

      `Scorer.SearchResults`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MatchScorer()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Scorer` | `newInstance(SearchServicePb.SearchParams searchParams, java.util.Map<java.lang.String,java.util.Set<DocumentPb.FieldValue.ContentType>> fieldTypes)`
    `Scorer.SearchResults` | `search(IndexSearcher indexSearcher, Query q, int offset, int limit)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MatchScorer

          public MatchScorer()

  - ### Method Detail

    - #### newInstance

          public static Scorer newInstance(SearchServicePb.SearchParams searchParams,
                                           java.util.Map<java.lang.String,java.util.Set<DocumentPb.FieldValue.ContentType>> fieldTypes)

    - #### search

          public Scorer.SearchResults search(IndexSearcher indexSearcher,
                                             Query q,
                                             int offset,
                                             int limit)
                                      throws java.io.IOException

      Specified by:
        `search` in class `Scorer`
      Throws:
        `java.io.IOException`